const REQUIRED_PEERS = ['eslint', 'stylelint', 'typescript', 'webpack'];
const rule = ({ packageInfo }) => {
    var _a, _b;
    const result = {
        rule: 'peer dependencies',
        warnings: [],
        errors: [],
    };
    for (const peer of REQUIRED_PEERS) {
        if (!((_a = packageInfo.dependencies) === null || _a === void 0 ? void 0 : _a[peer]) && !((_b = packageInfo.devDependencies) === null || _b === void 0 ? void 0 : _b[peer])) {
            result.errors.push(`Missing peer dependency ${peer}, please install it.`);
        }
    }
    return Promise.resolve(result);
};
export default rule;
