import { warn, tip } from '../logger.js';
import { importClientSettings } from '../utils.js';
export default async (cwd) => {
    var _a, _b, _c, _d, _e;
    const settings = await importClientSettings(cwd);
    if (!settings) {
        return;
    }
    if (typeof ((_a = settings.devServer) === null || _a === void 0 ? void 0 : _a.https) === 'boolean') {
        warn('devServer.https in reskript.config.js is no longer of type boolean', 'see: https://reskript.dev/docs/migration/v3#devServer相关');
    }
    if (typeof ((_b = settings.devServer) === null || _b === void 0 ? void 0 : _b.hot) === 'string') {
        warn('devServer.hot in reskript.config.js has changed to boolean', 'see: https://reskript.dev/docs/migration/v2#devServer相关');
    }
    if (typeof ((_c = settings.devServer) === null || _c === void 0 ? void 0 : _c.finalize) === 'function') {
        tip('found devServer.finalize in reskript.config.js, this can be affected by the official release', 'see: https://github.com/webpack/webpack-dev-server/blob/master/migration-v4.md');
    }
    if ((_d = settings.play) === null || _d === void 0 ? void 0 : _d.wrapper) {
        warn('play.wrapper in reskript.config.js is deprecated and replaced by defaultGlobalSetup', 'see: https://reskript.dev/docs/migration/v2#play相关');
    }
    if ((_e = settings.play) === null || _e === void 0 ? void 0 : _e.injectResources) {
        warn('play.injectResources in reskript.config.js is deprecated and replaced by defaultGlobalSetup', 'see: https://reskript.dev/docs/migration/v2#play相关');
    }
};
